List crypto transactions
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/crypto/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/crypto/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "transaction-id",
"wallet_id": "wallet-id",
"customer_id": "customer-id",
"type": "payout",
"status": "processing",
"reference": "CRYPTO-REF",
"currency": "USDC",
"amount": "100.000000"
}
],
"current_page": 1,
"per_page": 10,
"total": 1
}Crypto
List crypto transactions
Get API-created crypto transactions for your business. Required scope: crypto-transaction:read.
GET
/
api
/
external
/
crypto
/
transactions
List crypto transactions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter transactions by customer ID.
Available options:
processing, successful, failed Available options:
payout, swap Available options:
in, out Required range:
1 <= x <= 100Response
200 - application/json
Crypto transactions retrieved successfully.
Was this page helpful?